Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How to downgrade 10.3.2.500 Beta OS / Proceed at your own risk.
#1
Before I start I would like to make it clear that this worked for me on one of my z30's. It had the Beta 10.3.2.500 loaded on it and even though it was working fine I decided to test it anyway.

PLEASE BE ADVISED THAT THERE IS NO GUARANTEE THAT THIS WILL WORK FOR EVERYONE.

If you decide to do this, proceed at your own risk. I will be testing on my Passport next.

Anyway, as I mentioned before, my z30 was on the Beta 10.3.2.500. I don't know if many of you remember a while back there was a big oops with a DEV OS that was dropped which happened to be a full OS. If not Software release 10.3.1.396 or OS Version 10.3.1.632 is the one I'm referring to.

The first thing I did was make sure BlackBerry Protect was disabled. I had to enter my BBID password to access and then re-enter the password after disabling. The next step was execute the 10.3.1.396 autoloader on my laptop. I pluged in my z30 and entered the existing device password when prompted. To my surprise the device rebooted and the 10.3.1.396 image started loading without any issues. When completed I was a bit worried but after the device restarted the setup screen showed up right away. I proceeded in setting up the phone and when I arrived at the screen where the device searched for any available updates I was shocked at seeing a message indicating a 1GB update for 10.3.1.1767 was available. I skipped the update and finished setting up the phone to test. So far everything is working perfect. On an odd note as you will see in the pics below, the Software release is showing as 10.3.1.396 but the OS Version has 10.3.2.500. The radio version is showing 10.3.1.633 and under the general category under about it shows the Software Release as 10.3.1.396.

   

   

   

I will load 10.3.1.2627 on this device and then upgrade to the Beta OS again to make sure. I will also be trying this on my Passport and will update the thread with my results.

FIRST UPDATE: I tried blitzing the z30 with 10.3.1.2576. The update errored out when transfering the sys.fuse.bar (Blend). Next try is with an autoloader.

   

SECOND UPDATE: Trying to load an autoloader is having negative results. They literally load in seconds. I have nuked the device and am currently reloading 10.3.1.396. DO NOT SIC WIPE. IT WILL BE YOUR WORST NIGHTMARE. You will get stuck in a reboot cycle after trying a new autoloader and when you disconnect the USB cable you end up with a -006 error (6 LED flashes) which is a security wipe failed errir.

THIRD UPDATE: Currently reloading the 10.3.1.1767 OS with link. Will follow up with results.


FOURTH UPDATE: As expected, loading through a blocklisted OS through link failed. This was an interesting test. I didn't expect to be able to downgrade to a fully functional phone but it did. BlackBerry did an awesome job with the new Protected feature. I'm going to go ahead and reload the Beta OS again as it was working very nicely. 

Once again. This worked for me and is no guarantee that it will work for everyone. Feel free to try yourself and share your results.

I must apologize as I only have my links for Q5 / Q10 and z10 STL100-4. I can upload the Passport and z30 files but it will take too much time. I have checked around and haven't been able to find live links but I am sure Thurask will have them somewhere.

q5/q10 10.3.1.396


z10 STL100-4
"Encryption is the defense against the dark arts in the digital realm" - Edward Snowden
[-] The following 6 users Like Robert's post:
  • , Brad, DickLewis13, james pisano, petertinh, veeru789
Reply
#2
Now this is certainly interesting.
Reply
#3
Good job Robert!

Sent from my Passport using Tapatalk
[-] The following 1 user Likes Brad's post:
  •
Reply
#4
As usual, Robert knows best. :)
Amazing BlackBerry Motion BBD-100-2. #WeAreBlackBerry Happy
[-] The following 1 user Likes DickLewis13's post:
  •
Reply
#5
Q10 can not use this
Posted via my BlackBerry Passport on OS 10.3.2.500
Reply
#6
Good work Robert. I didn't follow any of your directions, but I know about the issue and am proud a UTBer figured out a way to help the unfortunate people who followed a certain cheesy member of the community and loaded an unauthorized, beta OS.
Via BlackBerry Z10 or Q10 or Z30 or Classic on 10.3.2.556 or BB Playbook
Reply
#7
Kudos Robert, thou art the man.
Logic dictates, but reason rules... DM

Farts are just the ghosts of the things we eat...
Reply
#8
Leave it to the resident All-Knowing-Guru to solve the problem! I tip my hat to you, Robert!
_____________________
BlackBerry Passport| AT&T

Reply
#9
Thanks Robert!

I use your method that can downgrade my Q10 to half 10.3.1.396, but this version has watermark, I don't like that on my screen.....

I must to downgrade because the 10.3.2.500 doesn't support my carrier sim card.

Do you know which version without watermark that can replace 10.3.1.396 using your method?
Reply
#10
(03-05-2015, 03:03 PM)Austin413 Wrote: Thanks Robert!

I use your method that can downgrade my Q10 to half 10.3.1.396, but this version has watermark, I don't like that on my screen.....

I must to downgrade because the 10.3.2.500 doesn't support my carrier sim card.

Do you know which version without watermark that can replace 10.3.1.396 using your method?
Unfortunately No.

Keep Calm and Berry On..........
Running the latest OS on my cute z30 Wink
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)